BizKitHub
DocsAPI ReferenceAccounting Entity/bff/accounting-entity/set-default
postAccounting EntityAdmin BFF

/bff/accounting-entity/set-default

Promote accounting entity to default

Accounting EntitypostBffAccounting-entitySet-default

Parameters

JSON body

Request body

application/json
externalIdstringRequired
Length: 2424

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true
promotedbooleanRequired

Response example

application/json
{
  "success": true,
  "promoted": false
}

Request example

POST /bff/accounting-entity/set-default

post
curl -X POST "https://api.bizkithub.com/bff/accounting-entity/set-default" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "externalId": "example_externalId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key